# Form implementation generated from reading ui file 'src/eric7/MicroPython/Devices/EspDialogs/EspFirmwareSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EspFirmwareSelectionDialog(object):
    def setupUi(self, EspFirmwareSelectionDialog):
        EspFirmwareSelectionDialog.setObjectName("EspFirmwareSelectionDialog")
        EspFirmwareSelectionDialog.resize(500, 228)
        EspFirmwareSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EspFirmwareSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label_5 = QtWidgets.QLabel(parent=EspFirmwareSelectionDialog)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 3, 0, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=EspFirmwareSelectionDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 4, 2, 1, 1)
        self.addressLabel = QtWidgets.QLabel(parent=EspFirmwareSelectionDialog)
        self.addressLabel.setObjectName("addressLabel")
        self.gridLayout.addWidget(self.addressLabel, 5, 0, 1, 1)
        self.addressEdit = QtWidgets.QLineEdit(parent=EspFirmwareSelectionDialog)
        self.addressEdit.setMaxLength(7)
        self.addressEdit.setClearButtonEnabled(True)
        self.addressEdit.setObjectName("addressEdit")
        self.gridLayout.addWidget(self.addressEdit, 5, 1, 1, 2)
        self.modeComboBox = QtWidgets.QComboBox(parent=EspFirmwareSelectionDialog)
        self.modeComboBox.setObjectName("modeComboBox")
        self.gridLayout.addWidget(self.modeComboBox, 4, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=EspFirmwareSelectionDialog)
        self.label_3.setToolTip("")
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 4, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=EspFirmwareSelectionDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(298, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 3, 2, 1, 1)
        self.espComboBox = QtWidgets.QComboBox(parent=EspFirmwareSelectionDialog)
        self.espComboBox.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToContents)
        self.espComboBox.setObjectName("espComboBox")
        self.gridLayout.addWidget(self.espComboBox, 0, 1, 1, 1)
        self.baudRateComboBox = QtWidgets.QComboBox(parent=EspFirmwareSelectionDialog)
        self.baudRateComboBox.setObjectName("baudRateComboBox")
        self.gridLayout.addWidget(self.baudRateComboBox, 3, 1, 1, 1)
        self.firmwarePicker = EricPathPicker(parent=EspFirmwareSelectionDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.firmwarePicker.sizePolicy().hasHeightForWidth())
        self.firmwarePicker.setSizePolicy(sizePolicy)
        self.firmwarePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.firmwarePicker.setObjectName("firmwarePicker")
        self.gridLayout.addWidget(self.firmwarePicker, 1, 1, 1, 2)
        self.label = QtWidgets.QLabel(parent=EspFirmwareSelectionDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(318, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem1, 0, 2, 1, 1)
        self.cpyCheckBox = QtWidgets.QCheckBox(parent=EspFirmwareSelectionDialog)
        self.cpyCheckBox.setObjectName("cpyCheckBox")
        self.gridLayout.addWidget(self.cpyCheckBox, 2, 0, 1, 3)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EspFirmwareSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EspFirmwareSelectionDialog)
        self.buttonBox.accepted.connect(EspFirmwareSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EspFirmwareSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EspFirmwareSelectionDialog)
        EspFirmwareSelectionDialog.setTabOrder(self.espComboBox, self.firmwarePicker)
        EspFirmwareSelectionDialog.setTabOrder(self.firmwarePicker, self.cpyCheckBox)
        EspFirmwareSelectionDialog.setTabOrder(self.cpyCheckBox, self.baudRateComboBox)
        EspFirmwareSelectionDialog.setTabOrder(self.baudRateComboBox, self.modeComboBox)
        EspFirmwareSelectionDialog.setTabOrder(self.modeComboBox, self.addressEdit)

    def retranslateUi(self, EspFirmwareSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        EspFirmwareSelectionDialog.setWindowTitle(_translate("EspFirmwareSelectionDialog", "Flash µPy/CPy Firmware"))
        self.label_5.setText(_translate("EspFirmwareSelectionDialog", "Baud Rate:"))
        self.label_4.setText(_translate("EspFirmwareSelectionDialog", "Leave empty to use the default mode."))
        self.addressLabel.setText(_translate("EspFirmwareSelectionDialog", "Address:"))
        self.addressEdit.setToolTip(_translate("EspFirmwareSelectionDialog", "Enter the flash addres in the hexadecimal form"))
        self.modeComboBox.setToolTip(_translate("EspFirmwareSelectionDialog", "Select the flash mode"))
        self.label_3.setText(_translate("EspFirmwareSelectionDialog", "Flash Mode:"))
        self.label_2.setText(_translate("EspFirmwareSelectionDialog", "Firmware:"))
        self.espComboBox.setToolTip(_translate("EspFirmwareSelectionDialog", "Select the ESP chip type"))
        self.baudRateComboBox.setToolTip(_translate("EspFirmwareSelectionDialog", "Select the baud rate to be used for flashing (default: 115.200 bps)"))
        self.firmwarePicker.setToolTip(_translate("EspFirmwareSelectionDialog", "Enter the path of the firmware file"))
        self.label.setText(_translate("EspFirmwareSelectionDialog", "ESP Chip Type:"))
        self.cpyCheckBox.setToolTip(_translate("EspFirmwareSelectionDialog", "Check this, if the firware to be loaded is CircuitPython (changes the flash address for some chips)."))
        self.cpyCheckBox.setText(_translate("EspFirmwareSelectionDialog", "Firmware is CircuitPython"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
